import { JbAuthModel } from "../models/jb-auth.model";
import { Platform } from "ionic-angular";
import { PouchService } from "@justbe-angular/jb-pouch";
import { AppPreferences } from "@ionic-native/app-preferences";
import { Observable } from "rxjs";
import { HttpService } from "@justbe-angular/jb-http";
import { StoreService } from "@justbe-angular/jb-store";
export declare class AuthDataHandlerService {
    private plt;
    private pouchService;
    private appPreferences;
    private httpService;
    private storeService;
    constructor(plt: Platform, pouchService: PouchService, appPreferences: AppPreferences, httpService: HttpService, storeService: StoreService);
    saveAuthData(auth: JbAuthModel): void;
    clearData(): Observable<any>;
    getAuthData(): Observable<any>;
    private handleBrowser();
    private handleNative();
}
