import { Observable } from "rxjs";
import { AutherService } from "@justbe-angular/jb-auther";
import { AuthDataHandlerService } from "./auth-data-handler.service";
import { AuthConfigurationsModel } from "../models/auth-configurations.model";
export declare class AuthService {
    private autherService;
    private authDataHandler;
    private authConfigs;
    constructor(autherService: AutherService, authDataHandler: AuthDataHandlerService);
    setConfigurations(authconfigs: AuthConfigurationsModel): void;
    getConfigurations(): any;
    logout(): Observable<{}>;
    getAuthData(): Observable<any>;
}
